Skip to main content

Request

[GET]
{{baseUrl}}/api/v1/kyc/cac/tin
HeaderTypeDescription
AppIdstringCreate an app to get your app ID on dashboard here
AuthorizationstringPrivate/secret key. Use <key> not Bearer <key>

Query parameter

ParameterTypeDescriptionRequired
rc_number *stringRC number (Registration Number) is a unique identification number assigned to a business by the Corporate Affairs Commission (CAC) in Nigeria.required
company_type *stringtype of company, values are BUSINESS_NAME, COMPANY, INCORPORATED_TRUSTEES, LIMITED_PARTNERSHIP, LIMITED_LIABILITY_PARTNERSHIPrequired

Sample response

Response

{
    "entity": {
        "company_name": "ANON LIMITED",
        "tax_id": "123456789987",
        "company_type": "COMPANY",
        "rc_number": "1261103"
    }
}

Response Fields

FieldTypeDescription
entityobjectContains the business TIN lookup response data
entity.company_namestringRegistered name of the company
entity.tax_idstringTax Identification Number (TIN) assigned to the business
entity.company_typestringType of company registration (e.g., COMPANY, BUSINESS_NAME)
entity.rc_numberstringRC number assigned by the Corporate Affairs Commission (CAC)

Test Credentials for Sandbox

Kindly use this Test RC Number in sandbox Environment RC Number = 1261103, 14320749